from base64 import urlsafe_b64encode

import ecdsa
from django.test import TestCase
from djangoldp_webpushnotification.models import VAPIDKeyset
from ecdsa import SigningKey


class TestVAPIDKeySet(TestCase):
    def test_vapidkeyset_public_key(self):
        priv_key = SigningKey.generate(curve=ecdsa.NIST256p)
        vapid_key_set = VAPIDKeyset.objects.create(
                private_key=urlsafe_b64encode(priv_key.to_string()).strip(b"=")
        )
        assert isinstance(vapid_key_set.public_key, bytes)
